/** Shopify CDN: Minification failed

Line 134:74 Expected identifier but found whitespace
Line 134:75 Unexpected "nth-child("

**/
[data-predictive-container] {
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}
@media(max-width: 767.98px) {
    [data-predictive-container] {
    position: absolute;
}
}[data-predictive-container] .close-button {
    text-decoration: none;
    color: inherit;
    background: rgba(0, 0, 0, 0);
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    height: 2rem;
    padding: 2.5rem 0 0 2rem;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}
[data-predictive-container] .close-button:focus {
    outline: none;
}
[data-predictive-container] .close-button:hover {
    text-decoration: none;
    outline: none;
}
[data-predictive-container] .close-button:disabled {
    opacity: .5;
    pointer-events: none;
}
[data-predictive-container] .close-button svg {
    height: 1rem;
    width: 1rem;
}
@media(max-width: 767.98px) {
    [data-predictive-container] .close-button {
        position: absolute;
        right: 1rem;
        top: 5px;
        padding: 0;
        height: auto;
    }
}

[data-predictive-container] .predictive-search {
    box-shadow: 2px 4px 3px 0px rgba(0,0,0,0.3);
}

span.predictive-search-status.sr-only {
    display: none;
}

a#view-all-button {
    background: #000;
}

@media(max-width: 767.98px) {
    [data-predictive-container] .predictive-search {
        height: 85vh;
        padding: 0 15px 20px;
        background-color: var(--color_page_background);
        width: 100vw;
        z-index: 110;
        overflow-y: scroll;
        position: relative;
        margin-top: 60px;
    }

    a#view-all-button {
        margin: 0 !important;
    }
}

@media(min-width: 768px) {
    [data-predictive-container] .predictive-search {
        position: absolute;
        left: 0;
        width: 100%;
        z-index: 110;
        overflow-y: hidden;
        -webkit-overflow-scrolling: touch;
        background-color: var(--color_page_background);
        padding: 20px 0;
        height: -webkit-fit-content;
        height: -moz-fit-content;
        height: fit-content;
    }
}

@media (max-width: 767.98px) {
    div#searchspring-bar {
        background: var(--color_page_background) !important;
        position: absolute;
        width: 100vw;
        z-index: 100;
        padding: 0 0 10px;
        top: 2rem !important;
    }

    [data-predictive-container] {
        position: absolute;
        top: calc(85px);
    }
}

@media (max-width: 340px) {
    div#searchspring-bar {
        top: 1.8rem !important;
    }
}

@media(max-width: 959.98px) {
    [data-predictive-container] .predictive-search ul div.shopify-section: nth-child(3), [data-predictive-container] .predictive-search ul div:nth-child(4) {
    display: none;
}
}

@media(max-width: 959.98px)and (max-width: 767.98px) {
    [data-predictive-container] .predictive-search ul#predictive-search-results-list {
    display: none;
}

[data-predictive-container] .predictive-search ul#predictive-search-queries-list {
    gap: .5rem;
}

[data-predictive-container] .predictive-search ul#predictive-search-queries-list li:nth-child(7), [data-predictive-container] .predictive-search ul#predictive-search-queries-list li:nth-child(8), [data-predictive-container] .predictive-search ul#predictive-search-queries-list li:nth-child(9), [data-predictive-container] .predictive-search ul#predictive-search-queries-list li:nth-child(10) {
    display: none;
}

}[data-predictive-container] .predictive-search .highlighted {
    color: var(--color_primary);
    font-weight: 700;
}
[data-predictive-container][open], [data-predictive-container][loading] {
    opacity: 1;
    visibility: visible;
}
[data-predictive-container] #predictive-search-results {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: row-reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

[data-predictive-container] #predictive-search-results .close-button .icon-times:after {
    font-weight: bold;
    font-size: 1.2em;
    content: 'x';
    font-style: normal;
    display: block;
    margin: 0 0 5px;
}


[data-predictive-container] .predictive-results-wrapper {
    width:  90%;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: .75rem;
    position: relative;
}

@media(min-width: 768px) {
    [data-predictive-container] .predictive-results-wrapper {
        gap: 2rem;
        display: grid;
        grid-template-columns: 1fr 4fr;
    }
}

@media(max-width: 767.98px) {
    [data-predictive-container] #predictive-search-results {
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    [data-predictive-container] .predictive-results-wrapper {
        width:  80%;
    }

}



[data-predictive-container] ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
[data-predictive-container] ul li {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
[data-predictive-container] .snippet-product-item {
    width: 100%}
[data-predictive-container] .results-list {
    display: grid;
    gap: 1rem;
}
[data-predictive-container] .results-list.queries {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: .5rem;
}
[data-predictive-container] .results-list a {
    text-decoration: none;
    color: inherit;
    font-weight: 400;
    font-size: .875rem;
}
@media(max-width: 767.98px) {
    [data-predictive-container] .results-container {
    padding: 0 var(--mobile-padding);
}
}@media(min-width: 768px) {
    [data-predictive-container] .results-products {
    grid-column: 1/span 2;
}
}[data-predictive-container] .results-products .results-list {
    grid-template-columns: 1fr 1fr;
    -webkit-align-items: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
}
@media(min-width: 768px) {
    [data-predictive-container] .results-products .results-list {
    grid-template-columns: repeat(4,  1fr);
}
}
[data-predictive-container] .search-heading {
    margin: 0 0 1rem;
    font-size: 1em;
}
@media(max-width: 767.98px) {
    [data-predictive-container] .suggestion-queries-list {
    padding: 0 var(--mobile-padding);
}
}@media(max-width: 767.98px) {
    [data-predictive-container] .suggestion-queries-collections .search-heading {
    padding: 0 var(--mobile-padding);
}
}[data-predictive-container] .suggestion-queries-collections ul {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 16.25rem;
    gap: 1rem;
    width: 100%;
    overflow-x: auto;
}
@media(max-width: 767.98px) {
    [data-predictive-container] .suggestion-queries-collections ul {
    padding: 0 var(--mobile-padding);
}
}@media(min-width: 960px) {
    [data-predictive-container] .suggestion-queries-collections ul {
    grid-template-columns: repeat(3,  1fr);
    grid-auto-columns: auto;
}
}@media(max-width: 767.98px) {
    .header-container {
    padding-bottom: 3.25rem;
}
}
.snippet-predictive-search {
    --mobile-padding:  1.5rem;
    z-index: 30;
}
@media(min-width: 768px) {
    .snippet-predictive-search {
    max-width: 56vw;
    -webkit-flex-grow: 2;
    -ms-flex-positive: 2;
    flex-grow: 2;
}
}@media(min-width: 1152px) {
    .snippet-predictive-search {
    position: relative;
    max-width: 36vw;
}
}.snippet-predictive-search.is-visible {
    opacity: 1;
    visibility: visible;
}
.snippet-predictive-search .searchspring.search-input~.reset-button {
    position: absolute;
    right: 2rem;
    z-index: 10;
    height: 100%;
    width: 1.5rem;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    display: none;
}
.snippet-predictive-search .searchspring.search-input~.reset-button.hidden {
    display: none;
    visibility: hidden;
}
.snippet-predictive-search .search-for-btn {
    position: absolute;
    top: 0;
    right: 1.5rem;
}
@media(min-width: 768px) {
    .snippet-predictive-search .search-for-btn {
    right: 0;
}
}.snippet-predictive-search predictive-search[open] .predictive-search, .snippet-predictive-search predictive-search[loading] .predictive-search {
    opacity: 1;
    visibility: visible;
}
predictive-search:not([loading]) .predictive-search__loading-state, predictive-search:not([loading]) .predictive-search-status__loading {
    display: none;
}